#ifndef LONG_STRING_DEFIND
#define LONG_STRING_DEFIND

class CLongString : public CString
{
public :
	CLongString();
	// concatenate a single character
	const CLongString& operator+=(TCHAR ch);
	// concatenate a character after converting it to TCHAR
	const CLongString& operator+=(LPCTSTR lpsz);
	// concatenate from another CString
	const CLongString& operator+=(const CString& string);


#ifdef _UNICODE
	#error Not Implemented
	// concatenate an ANSI character after converting it to TCHAR
// Not implemented :	const CString& operator+=(char ch);
#endif
	// concatenate a UNICODE character after converting it to TCHAR
	void OptimizeGrowing(int Step);
	void EndOptimizeGrowing();
#ifdef _DEBUG
//  The following methods contains an 	ASSERT(m_SizeAtGrow==0); then
//			 call the base class
//  To do:  who will do it...
#endif
protected :
	int m_SizeAtGrow;
	int m_CurrentIndex;
	int m_CurrentSize;
	LPTSTR m_pBuffer;
};

#endif LONG_STRING_DEFIND
